Bug 27044 - Deprecate core support for PayPal payments
Summary: Deprecate core support for PayPal payments
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 23118
Blocks: 23215
  Show dependency treegraph
 
Reported: 2020-11-17 17:17 UTC by Tomás Cohen Arazi
Modified: 2020-12-14 16:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 27044: Mark the PayPal integration as deprecated on the user interface (4.03 KB, patch)
2020-11-17 17:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27044: Mark the PayPal integration as deprecated on the user interface (4.13 KB, patch)
2020-11-19 11:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27044: Mark the PayPal integration as deprecated on the user interface (4.18 KB, patch)
2020-11-19 17:12 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27044: Mark the PayPal integration as deprecated on the user interface (4.25 KB, patch)
2020-11-24 13:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-11-17 17:17:14 UTC
The logic has been packaged as a plugin, and we no longer require to maintain this. Removal will be handled on bug 23215. This bug only deals with the deprecation warnings in 20.11.
Comment 1 Tomás Cohen Arazi 2020-11-17 17:19:13 UTC
Things to do for 20.11:
- Deprecate the PayPal payments module in the release notes
- Add information about deprecation to the Paypal system preferences
- Add an entry to the "system information" tab
Comment 2 Tomás Cohen Arazi 2020-11-17 17:24:15 UTC
Does this read correctly?

diff --git a/koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref b/koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
index ccbd533b19e..85e4c5290b8 100644
--- a/koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
@@ -901,6 +901,7 @@ OPAC:
                   yes: "sandbox"
                   no: "production"
             - "mode."
+            - "<br/>Warning: this functionality has been deprecated in favour of plugin implementations."
         -
             - "The email address to receive PayPal payments is "
             - pref: PayPalUser
Comment 3 Tomás Cohen Arazi 2020-11-17 17:49:27 UTC
Created attachment 113750 [details] [review]
Bug 27044: Mark the PayPal integration as deprecated on the user interface

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Katrin Fischer 2020-11-17 20:30:16 UTC
Maybe: 

in favor of using payment plugins that can implement different payment services. 

?
Comment 5 Tomás Cohen Arazi 2020-11-19 11:10:55 UTC
Created attachment 113806 [details] [review]
Bug 27044: Mark the PayPal integration as deprecated on the user interface

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Victor Grousset/tuxayo 2020-11-19 17:12:34 UTC
Created attachment 113843 [details] [review]
Bug 27044: Mark the PayPal integration as deprecated on the user interface

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 7 Victor Grousset/tuxayo 2020-11-19 17:15:49 UTC
Works as expected, the syspref has the warning and about.pl adds a warning if the syspref is enabled.
Comment 8 Jonathan Druart 2020-11-24 08:51:08 UTC
Why are not you using Koha.Preference from TT?

Do we need it in 20.11.00 even if there is a string change? (I think so)
Comment 9 Tomás Cohen Arazi 2020-11-24 09:54:12 UTC
(In reply to Jonathan Druart from comment #8)
> Why are not you using Koha.Preference from TT?

It is how that page is usually built. I'm not attached to it.

> Do we need it in 20.11.00 even if there is a string change? (I think so)

I'd say it should be included.
Comment 10 Jonathan Druart 2020-11-24 13:57:54 UTC
Created attachment 113949 [details] [review]
Bug 27044: Mark the PayPal integration as deprecated on the user interface

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2020-11-25 08:59:41 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Andrew Fuerste-Henry 2020-12-14 16:10:19 UTC
Not backporting to 20.05, request if needed